function casee =CreateCase(Links,Lambda,k)

N=length(Lambda);
E=length(Links);

LambdaD=-Lambda(find(Lambda<=0))';
LambdaD=abs(LambdaD);
G=N-length(LambdaD);

a=['mycase' num2str(N) num2str(k) '.m'];
casen=fopen(a,'wt');
fprintf(casen,'function mpc = mycase%d%d \n',N,k);
fprintf(casen,'mpc.version=''2''; \n');
fprintf(casen,'mpc.baseMVA=100; \n');

zero=zeros(N,1);
one=ones(N,1);
count=[1:N]';
GenOrCon=[ones(G,1)*3;ones(N-G,1)];
Demand=[zeros(G,1); ones(N-G,1).*LambdaD];

fprintf(casen,'mpc.bus=[ \n');
Billy=[count GenOrCon Demand zero zero zero one one zero one*345 one one*1.1 one*0.9 ];
    
for j=1:N
fprintf(casen,'%4.0f %4.0f %6.3f %2.0f %2.0f %2.0f %2.0f %2.0f %2.0f %4.0f %2.0f %2.1f %2.1f ;\n',Billy(j,:));
end
fprintf(casen,']; \n');

count=[1:G]';
LambdaG=Lambda(find(Lambda>0))';
zero=zeros(G,1);
one=ones(G,1);
Billy=[count LambdaG zero zero zero one one*100 one LambdaG zero zero zero zero, zero zero zero zero, zero zero zero zero];

fprintf(casen,'mpc.gen = [ \n');
for j=1:G
    fprintf(casen,'%4.0f %6.3f %2.0f %2.0f %2.0f %2.0f %2.0f %4.0f %2.0f %6.3f %2.0f %2.0f %2.0f %2.0f %2.0f %2.0f %2.0f %2.0f %2.0f %2.0f %2.0f ;\n',Billy(j,:));
end
fprintf(casen,']; \n');

zero=zeros(E,1);
one=ones(E,1);
Billy=[Links' zero one*0.01 zero one*250 one*250 one*250 zero zero one one*-360 one*360];

fprintf(casen,'mpc.branch = [ \n');
for j=1:E
    fprintf(casen,'%4.0f %4.0f %2.0f %2.2f %2.0f %4.0f %4.0f %4.0f %2.0f %2.0f %2.0f %5.0f %5.0f ; \n', Billy(j,:));
end
fprintf(casen,']; \n');

count=[1:G]';
LambdaG=Lambda(find(Lambda>0))';
zero=zeros(G,1);
one=ones(G,1);
Billy=[one*2 one*1500 zero one*3 one*0.11 one*1 one*100];

fprintf(casen,'mpc.gencost = [ \n');
for j=1:G
    fprintf(casen,'%2.0f %5.0f %2.0f %2.0f %2.2f %2.0f %4.0f ; \n',Billy(j,:));
end
fprintf(casen,']; \n');

fclose(casen);

end
